# Class default

#### Hierarchy (view full)

- default
  - default
  - default
  - default

- Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:3

#####
Index

### Constructors

constructor

### Properties

alpha
frame
height
list
scene
style
textureManager
visible
width
x
y

### Methods

add
addAt
addedToScene
bringToTop
clearTint
destroy
getAll
getAt
getBounds
getIndex
moveAbove
moveBelow
off
on
once
remove
removeAll
removeFromDisplayList
sendToBack
setAlpha
setAngle
setColor
setDepth
setFontSize
setFrame
setInteractive
setLineSpacing
setMask
setName
setOrigin
setPosition
setPositionRelative
setScale
setShadow
setShadowColor
setShadowOffset
setSize
setStrokeStyle
setText
setTexture
setTint
setVisible
setWordWrapWidth
setX
setY

## Constructors

### constructor

- new default(textureManager, x, y): default

- #### Parameters

  - textureManager: default
  - x: any
  - y: any

  #### Returns default

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:16

## Properties

### `Private` alpha

alpha: any

- Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:10

### frame

frame: any

- Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:12

### `Protected` height

height: any

- Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:8

### list

list: any[] = []

- Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:14

### `Protected` scene

scene: any

- Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:6

### `Private` style

style: any

- Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:11

### `Protected` textureManager

textureManager: any

- Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:13

### `Protected` visible

visible: any

- Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:9

### `Protected` width

width: any

- Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:7

### `Protected` x

x: any

- Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:4

### `Protected` y

y: any

- Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:5

## Methods

### add

- add(obj): void

- #### Parameters

  - obj: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:172

### addAt

- addAt(obj, index): void

- #### Parameters

  - obj: any
  - index: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:182

### addedToScene

- addedToScene(): void

- #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:36

### bringToTop

- bringToTop(obj): void

- #### Parameters

  - obj: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:165

### clearTint

- clearTint(): void

- #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:145

### destroy

- destroy(): void

- #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:85

### getAll

- getAll(): any[]

- #### Returns any[]

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:203

### getAt

- getAt(index): any

- #### Parameters

  - index: any

  #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:199

### getBounds

- getBounds(): {
  height: any;
  width: any;
  }

- #### Returns {
  height: any;
  width: any;
  }

  - ##### height: any

  - ##### width: any

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:116

### getIndex

- getIndex(obj): number

- #### Parameters

  - obj: any

  #### Returns number

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:194

### moveAbove

- moveAbove(obj): void

- #### Parameters

  - obj: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:153

### moveBelow

- moveBelow(obj): void

- #### Parameters

  - obj: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:157

### off

- off(event, callback, source): void

- #### Parameters

  - event: any
  - callback: any
  - source: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:29

### on

- on(event, callback, source): void

- #### Parameters

  - event: any
  - callback: any
  - source: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:169

### once

- once(event, callback, source): void

- #### Parameters

  - event: any
  - callback: any
  - source: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:26

### remove

- remove(obj): void

- #### Parameters

  - obj: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:187

### removeAll

- removeAll(): void

- #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:177

### removeFromDisplayList

- removeFromDisplayList(): void

- #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:32

### sendToBack

- sendToBack(): void

- #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:149

### setAlpha

- setAlpha(alpha): void

- #### Parameters

  - alpha: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:60

### setAngle

- setAngle(angle): void

- #### Parameters

  - angle: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:101

### setColor

- setColor(color): void

- #### Parameters

  - color: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:120

### setDepth

- setDepth(depth): void

- #### Parameters

  - depth: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:137

### setFontSize

- setFontSize(fontSize): void

- #### Parameters

  - fontSize: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:113

### setFrame

- setFrame(frame, updateSize?, updateOrigin?): void

- #### Parameters

  - frame: any
  - `Optional` updateSize: boolean
  - `Optional` updateOrigin: boolean

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:64

### setInteractive

- setInteractive(hitArea?, callback?, dropZone?): void

- #### Parameters

  - `Optional` hitArea: any
  - `Optional` callback: any
  - `Optional` dropZone: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:52

### setLineSpacing

- setLineSpacing(lineSpacing): void

- #### Parameters

  - lineSpacing: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:93

### setMask

- setMask(): void

- #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:44

### setName

- setName(name): void

- #### Parameters

  - name: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:161

### setOrigin

- setOrigin(x, y): void

- #### Parameters

  - x: any
  - y: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:55

### setPosition

- setPosition(x, y): void

- #### Parameters

  - x: any
  - y: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:72

### setPositionRelative

- setPositionRelative(source, x, y): void

- #### Parameters

  - source: any
  - x: any
  - y: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:48

### setScale

- setScale(scale): void

- #### Parameters

  - scale: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:68

### setShadow

- setShadow(shadowXpos, shadowYpos, shadowColor): void

- #### Parameters

  - shadowXpos: any
  - shadowYpos: any
  - shadowColor: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:89

### setShadowColor

- setShadowColor(color): void

- #### Parameters

  - color: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:124

### setShadowOffset

- setShadowOffset(offsetX, offsetY): void

- #### Parameters

  - offsetX: any
  - offsetY: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:105

### setSize

- setSize(width, height): void

- #### Parameters

  - width: any
  - height: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:40

### setStrokeStyle

- setStrokeStyle(thickness, color): default

- #### Parameters

  - thickness: any
  - color: any

  #### Returns default

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:132

### setText

- setText(text): void

- #### Parameters

  - text: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:97

### setTexture

- setTexture(texture): void

- #### Parameters

  - texture: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:141

### setTint

- setTint(color): void

- #### Parameters

  - color: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:128

### setVisible

- setVisible(visible): void

- #### Parameters

  - visible: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:22

### setWordWrapWidth

- setWordWrapWidth(width): void

- #### Parameters

  - width: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:109

### setX

- setX(x): void

- #### Parameters

  - x: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:77

### setY

- setY(y): void

- #### Parameters

  - y: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockContainer.ts:81